vga_getcurrentmode(3)

NAME
vga_getcurrentmode - returns the current video mode

SYNOPSIS
#include <vga.h> int vga_getcurrentmode(void);

DESCRIPTION
Returns the current video mode. See vga_setmode(3) for a list of predefined return values and there meaning.

SEE ALSO
svgalib(7), vgagl(7), libvga.config(5), vgatest(6), vga_hasmode(3), vga_modeinfo(3), vga_setmode(3), vga_lastmodenumber(3), vga_getmodename(3), vga_getmodenumber(3)

AUTHOR
This manual page was edited by Michael Weller <eowmob@exp-math.uni-essen.de>. The exact source of the referenced function as well as of the original documentation is unknown. It is very likely that both are at least to some extend are due to Harm Hanemaayer <H.Hanemaayer@inter.nl.net>. Occasionally this might be wrong. I hereby excuse by the correct author and will happily accept any additions or corrections to this first version of the svgalib manual.